////////////////////////////////////////////////////////
////////////////// NODAMAGE SHADERS ////////////////////
////////////////////////////////////////////////////////

textures/babylon/babylon_plain_stone_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_plain_stone.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_plain_stone_orange_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone_orange.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_plain_stone_orange.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_plain_stone_blue_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone_blue.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_plain_stone_blue.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_plain_stone_red_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone_red.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_plain_stone_red.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_plain_stone_purple_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone_purple.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_plain_stone_purple.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_raw_bricks_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_raw_bricks.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_raw_bricks.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_bricks_blue_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_bricks_blue.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_bricks_blue.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_bricks_purple_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_bricks_purple.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_bricks_purple.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_bricks_red_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_bricks_red.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_bricks_red.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_bricks_yellow_nodamage
{
	qer_editorimage textures/babylon_stone/babylon_bricks_yellow.tga
	surfaceparm nodamage
								{
		map textures/babylon_stone/babylon_bricks_yellow.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_wood_planks_nodamage
{
	qer_editorimage textures/babylon_wood/babylon_wood_planks.tga
	surfaceparm nodamage
								{
		map textures/babylon_wood/babylon_wood_planks.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_wood_planks_light_nodamage
{
	qer_editorimage textures/babylon_wood/babylon_wood_planks_light.tga
	surfaceparm nodamage
								{
		map textures/babylon_wood/babylon_wood_planks_light.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_wood_planks_light_nodamage
{
	qer_editorimage textures/babylon_wood/babylon_wood_planks_light.tga
	surfaceparm nodamage
								{
		map textures/babylon_wood/babylon_wood_planks_light.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

////////////////////////////////////////////////////////
////////////////// NONSOLID SHADERS ////////////////////
////////////////////////////////////////////////////////

textures/babylon/babylon_raw_bricks_nonsolid
{
	qer_editorimage textures/babylon_stone/babylon_raw_bricks.tga
	qer_trans 0.70
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_stone/babylon_raw_bricks.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_bricks_purple_nonsolid
{
	qer_editorimage textures/babylon_stone/babylon_bricks_purple.tga
	qer_trans 0.70
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_stone/babylon_bricks_purple.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_bricks_red_nonsolid
{
	qer_editorimage textures/babylon_stone/babylon_bricks_red.tga
	qer_trans 0.70
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_stone/babylon_bricks_red.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_plain_stone_orange_nonsolid
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone_orange.tga
	qer_trans 0.70
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_stone/babylon_plain_stone_orange.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_plain_stone_blue_nonsolid
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone_blue.tga
	qer_trans 0.70
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_stone/babylon_plain_stone_blue.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

////////////////////////////////////////////////////////
//////////////////// SLICK SHADERS /////////////////////
////////////////////////////////////////////////////////

textures/babylon/babylon_raw_bricks_slick
{
	qer_editorimage textures/babylon_stone/babylon_raw_bricks.tga
	surfaceparm nodamage
	surfaceparm slick
								{
		map textures/babylon_stone/babylon_raw_bricks.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_bricks_blue_slick
{
	qer_editorimage textures/babylon_stone/babylon_bricks_blue.tga
	surfaceparm nodamage
	surfaceparm slick
								{
		map textures/babylon_stone/babylon_bricks_blue.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_bricks_yellow_slick
{
	qer_editorimage textures/babylon_stone/babylon_bricks_yellow.tga
	surfaceparm nodamage
	surfaceparm slick
								{
		map textures/babylon_stone/babylon_bricks_yellow.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_plain_stone_purple_slick
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone_purple.tga
	surfaceparm nodamage
	surfaceparm slick
								{
		map textures/babylon_stone/babylon_plain_stone_purple.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_plain_stone_slick
{
	qer_editorimage textures/babylon_stone/babylon_plain_stone.tga
	surfaceparm nodamage
	surfaceparm slick
								{
		map textures/babylon_stone/babylon_plain_stone.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

////////////////////////////////////////////////////////
//////////////////// SKYBOX SHADERS ////////////////////
////////////////////////////////////////////////////////

textures/babylon/babylon_skybox
{ 
        qer_editorimage textures/babylon_common/babylonsky
		q3map_sunExt 0.0703 0.1836 0.6 2000 340 90 3 16
		//q3map_lightRGB 1.0 1.0 1.0
		//q3map_surfaceLight 100
		//q3map_lightSubdivide 500
        surfaceparm sky
        surfaceparm nolightmap
        surfaceparm noimpact
        skyparms textures/babylon_env/babylon_sky - -
}

////////////////////////////////////////////////////////
///////////////////// FIRE SHADERS /////////////////////
////////////////////////////////////////////////////////

textures/babylon/babyflame
{
	qer_editorimage textures/babylon_light/babyflame1.tga
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 10000
	q3map_lightSubdivide 500
	q3map_lightRGB 1 0.7 0.5
	{
		animMap 10 textures/babylon_light/babyflame1.tga textures/babylon_light/babyflame2.tga textures/babylon_light/babyflame3.tga textures/babylon_light/babyflame4.tga textures/babylon_light/babyflame5.tga textures/babylon_light/babyflame6.tga textures/babylon_light/babyflame7.tga textures/babylon_light/babyflame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/babylon_light/babyflame2.tga textures/babylon_light/babyflame3.tga textures/babylon_light/babyflame4.tga textures/babylon_light/babyflame5.tga textures/babylon_light/babyflame6.tga textures/babylon_light/babyflame7.tga textures/babylon_light/babyflame8.tga textures/babylon_light/babyflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/babylon_light/babyflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

////////////////////////////////////////////////////////
///////////////////// LIGHT SHADERS ////////////////////
////////////////////////////////////////////////////////

textures/babylon/babylight_10000
{
	qer_editorimage textures/babylon_light/babylight_10000.tga
    q3map_lightRGB 1.0 0.7 0.5
    q3map_surfacelight 10000
	q3map_lightSubdivide 500

    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map $whiteimage
        blendfunc add
        rgbgen const ( 0.0 0.0 0.0 )
    }
}

textures/babylon/babylight_20000
{
	qer_editorimage textures/babylon_light/babylight_20000.tga
    q3map_lightRGB 1.0 0.7 0.5
    q3map_surfacelight 20000
	q3map_lightSubdivide 500

    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map $whiteimage
        blendfunc add
        rgbgen const ( 0.0 0.0 0.0 )
    }
}

textures/babylon/babylight_100000
{
	qer_editorimage textures/babylon_light/babylight_100000.tga
    q3map_lightRGB 1.0 0.7 0.5
    q3map_surfacelight 100000
	q3map_lightSubdivide 500

    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map $whiteimage
        blendfunc add
        rgbgen const ( 0.0 0.0 0.0 )
    }
}

textures/babylon/babylight_500000
{
	qer_editorimage textures/babylon_light/babylight_500000.tga
    q3map_lightRGB 1.0 0.7 0.5
    q3map_surfacelight 500000
	q3map_lightSubdivide 500

    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map $whiteimage
        blendfunc add
        rgbgen const ( 0.0 0.0 0.0 )
    }
}

////////////////////////////////////////////////////////
//////////////////// WATER SHADERS /////////////////////
////////////////////////////////////////////////////////

textures/babylon/babylonwater
{
	qer_editorimage textures/babylon_water/babylonwater1.tga
	q3map_lightimage textures/babylon_water/babylonwater1.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.70

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_tessSize 1024
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/babylon_water/babylonwater2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}	
	{
        map textures/babylon_water/babylonwater1.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scale .5 .5
        tcMod scroll -.006 0
    }
}

textures/babylon/babylonwaterstreams
{
	qer_editorimage textures/babylon_water/babylonwater1.tga
	q3map_lightimage textures/babylon_water/babylonwater1.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.70

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_tessSize 1024
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/babylon_water/babylonwater2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcmod scale 1 0.2
		tcMod scroll 0 0.35
	}	
	{
        map textures/babylon_water/babylonwater1.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scale 1 0.2
        tcMod scroll 0 .3
    }
}

textures/babylon/babylonwaterfalls
{
	qer_editorimage textures/babylon_water/babylonwater1.tga
	q3map_lightimage textures/babylon_water/babylonwater1.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.70

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_tessSize 1024
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/babylon_water/babylonwater2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcmod scale 1 0.2
		tcMod scroll 0 0.60
	}	
	{
        map textures/babylon_water/babylonwater1.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scale 1 0.2
        tcMod scroll 0 .55
    }
}

textures/babylon/babylonscum
{
	qer_editorimage textures/babylon_water/babylonscum.tga
	q3map_lightimage textures/babylon_water/babylonscum.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.70

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_tessSize 1024
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/babylon_water/babylonscum.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.6 1 0.05
		tcmod scale 1 0.2
		tcMod scroll 0 0.45
	}	
	{
        map textures/babylon_water/babylonwater1.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
		tcMod turb 0.3 0.2 1 0.05
        tcMod scale 1 0.2
        tcMod scroll 0 .3
    }
}

////////////////////////////////////////////////////////
///////////////////// MISC SHADERS /////////////////////
////////////////////////////////////////////////////////

textures/babylon/babyloncloth_trans
{
	qer_editorimage textures/babylon_misc/babyloncloth.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/babylon_misc/babyloncloth.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/babylon/babylon_black_nolight
{
	qer_editorimage textures/babylon_misc/babylon_teleport_generic.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/babylon_misc/babylon_teleport_generic.tga
	}
}

////////////////////////////////////////////////////////
//////////////////// GLASS SHADERS /////////////////////
////////////////////////////////////////////////////////

textures/babylon/babylonglass
{	
	qer_editorimage textures/babylon_misc/babylon_glass_white.tga
	qer_trans 0.70
	surfaceparm trans
	surfaceparm solid
	surfaceparm nodamage
	surfaceparm slick
	cull twosided
	{
		map textures/babylon_misc/babylon_glass_white.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

////////////////////////////////////////////////////////
///////////////// TELEPORTER SHADERS ///////////////////
////////////////////////////////////////////////////////

textures/babylon/babylon_teleport_generic
{
	qer_editorimage textures/babylon_misc/babylon_teleport_generic.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_generic.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_teleport_n
{
	qer_editorimage textures/babylon_misc/babylon_teleport_n.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_n.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_teleport_ne
{
	qer_editorimage textures/babylon_misc/babylon_teleport_ne.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_ne.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_teleport_e
{
	qer_editorimage textures/babylon_misc/babylon_teleport_e.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_e.tga
   }
{
		map $lightmap
		blendfunc filter
   	}
}


textures/babylon/babylon_teleport_se
{
	qer_editorimage textures/babylon_misc/babylon_teleport_se.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_se.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}


textures/babylon/babylon_teleport_s
{
	qer_editorimage textures/babylon_misc/babylon_teleport_s.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_s.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_teleport_sw
{
	qer_editorimage textures/babylon_misc/babylon_teleport_sw.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_sw.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_teleport_w
{
	qer_editorimage textures/babylon_misc/babylon_teleport_w.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_w.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_teleport_nw
{
	qer_editorimage textures/babylon_misc/babylon_teleport_nw.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_nw.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_teleport_esagila
{
	qer_editorimage textures/babylon_misc/babylon_teleport_esagila.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_esagila.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

textures/babylon/babylon_teleport_etemenanki
{
	qer_editorimage textures/babylon_misc/babylon_teleport_etemenanki.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
								{
		map textures/babylon_misc/babylon_teleport_etemenanki.tga
   }
		{
		map $lightmap
		blendfunc filter
   	}
}

////////////////////////////////////////////////////////
//////////////////// JUMP NB SHADERS ///////////////////
////////////////////////////////////////////////////////

textures/babylon/babylonj0
{	
	qer_editorimage textures/babylon_misc/babylon_j0.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j0.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj1
{	
	qer_editorimage textures/babylon_misc/babylon_j1.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j1.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj2
{	
	qer_editorimage textures/babylon_misc/babylon_j2.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j2.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj3
{	
	qer_editorimage textures/babylon_misc/babylon_j3.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j3.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj4
{	
	qer_editorimage textures/babylon_misc/babylon_j4.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j4.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj5
{	
	qer_editorimage textures/babylon_misc/babylon_j5.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j5.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj6
{	
	qer_editorimage textures/babylon_misc/babylon_j6.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j6.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj7
{	
	qer_editorimage textures/babylon_misc/babylon_j7.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j7.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj8
{	
	qer_editorimage textures/babylon_misc/babylon_j8.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j8.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj9
{	
	qer_editorimage textures/babylon_misc/babylon_j9.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j9.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj10
{	
	qer_editorimage textures/babylon_misc/babylon_j10.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j10.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj11
{	
	qer_editorimage textures/babylon_misc/babylon_j11.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j11.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj12
{	
	qer_editorimage textures/babylon_misc/babylon_j12.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j12.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj13
{	
	qer_editorimage textures/babylon_misc/babylon_j13.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j13.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj14
{	
	qer_editorimage textures/babylon_misc/babylon_j14.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j14.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj15
{	
	qer_editorimage textures/babylon_misc/babylon_j15.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j15.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj16
{	
	qer_editorimage textures/babylon_misc/babylon_j16.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j16.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj17
{	
	qer_editorimage textures/babylon_misc/babylon_j17.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j17.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylonj18
{	
	qer_editorimage textures/babylon_misc/babylon_j18.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_j18.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babyloncredits
{	
	qer_editorimage textures/babylon_misc/babyloncredits.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babyloncredits.tga
		blendfunc GL_ONE GL_ONE
                }
}

textures/babylon/babylon_teleport
{
	qer_editorimage textures/babylon_misc/babylon_teleport.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	polygonOffset
	nopicmip
	{
		map textures/babylon_misc/babylon_teleport.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////////
//////////////////// COMMON SHADERS ////////////////////
////////////////////////////////////////////////////////

textures/babylon/babylonwatercaulk
{
    qer_trans 0.70
    qer_editorimage textures/babylon_common/babylonwatercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm water
}

textures/babylon/babylonclip
{
	qer_trans 0.70
	qer_editorimage textures/babylon_common/babylonclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/babylon/babylonslick
{
	qer_trans 0.70
	qer_editorimage textures/babylon_common/babylonslick.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/babylon/babylonnonsolid
{
	qer_trans 0.70
	qer_editorimage textures/babylon_common/babylonnonsolid.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
}
